%++++++++++++++++++++++++++++++++++++++++
% Don't modify this section unless you know what you're doing!
\documentclass[a4paper,11pt]{article}
\usepackage[utf8]{inputenc}
\usepackage{mmap}
\usepackage[T1]{fontenc}
\usepackage[russian]{babel}
\usepackage{amsfonts}
\usepackage{amssymb}
\usepackage{tabularx} % extra features for tabular environment
\usepackage{amsmath,amssymb}  % improve math presentation
\usepackage{graphicx} % takes care of graphic including machinery
\usepackage[left=0.45in,right=0.45in,top=0.8in,bottom=0.8in,a4paper]{geometry} % decreases margins
\usepackage{cite} % takes care of citations
\usepackage[final]{hyperref} % adds hyper links inside the generated pdf file
%\usepackage{ dsfont }
\hypersetup{
	colorlinks=true,       % false: boxed links; true: colored links
	linkcolor=blue,        % color of internal links
	citecolor=blue,        % color of links to bibliography
	filecolor=magenta,     % color of file links
	urlcolor=blue         
}
\usepackage{amsthm,amsfonts,amscd}
\usepackage{blkarray}
\usepackage{mathtools}
\usepackage{fancyhdr}
\usepackage{xcolor,cancel}
\usepackage{tikz}
\usepackage{graphicx}
\usepackage{ifthen}
\usepackage{setspace}
\usepackage{epigraph}
%++++++++++++++++++++++++++++++++++++++++

\onehalfspacing

\setlength{\headheight}{14pt}
%++++++++++++++++++++++++++++++++++++++++

\newcommand{\warning}[1]{\textcolor{red}{#1}}
\newcommand{\graytext}[1]{\textcolor{gray!70}{#1}}

\newcommand\hcancel[2][black!50]{\setbox0=\hbox{$#2$}\rlap{\raisebox{.35\ht0}{\textcolor{#1}{\rule{\wd0}{0.6pt}}}}#2} 

%++++++++++++++++++++++++++++++++++++++++

\newtheoremstyle{break}% name
  {}%         Space above, empty = `usual value'
  {}%         Space below
  {\itshape}% Body font
  {}%         Indent amount (empty = no indent, \parindent = para indent)
  {\bfseries}% Thm head font
  {.}%        Punctuation after thm head
  {\newline}% Space after thm head: \newline = linebreak
  {}%         Thm head spec

% \theoremstyle{break}
\newtheorem*{theorem}{Теорема}
\newtheorem*{statement}{Утверждение}
\newtheorem*{lemma}{Лемма}
\newtheorem*{consequence}{Следствие}
\newtheorem*{properties}{Свойства}
\newtheorem*{property}{Свойство}
%\newtheorem*{proof}{Доказательство}

\theoremstyle{definition}
\newtheorem*{example}{Пример}
\newtheorem*{definition}{Определение}
\newtheorem*{exercise}{Упражнение}
\newtheorem*{observation}{Замечание}
\newtheorem*{designation}{Обозначение}

% \abs and \norm

% \makeatletter
% \let\oldabs\abs
% \def\abs{\@ifstar{\oldabs}{\oldabs*}}
%
% \let\oldnorm\norm
% \def\norm{\@ifstar{\oldnorm}{\oldnorm*}}
% \makeatother

% shortcuts
\newcommand{\N}{\mathbb{N}} % set of natural numbers
\newcommand{\Z}{\mathbb{Z}} % set of integers
\newcommand{\Q}{\mathbb{Q}} % set of rational numbers
\newcommand{\I}{\mathbb{I}} % set of irrational numbers
\newcommand{\R}{\mathbb{R}} % set of real numbers
\newcommand{\F}{\mathbb{F}} % finite field
\renewcommand{\C}{\mathbb{C}} % finite field
\newcommand{\EQ}{ \; \, \Leftrightarrow \; \, } % if and only if

% \newcommand{\O}{\varnothing} % empty set
\newcommand{\DEF}{\overset{Def}{=}}
\newcommand{\proofed}{$\blacksquare$}

% more beautiful comparision signs
\renewcommand{\le}{\leqslant}
\renewcommand{\leq}{\leqslant}
\renewcommand{\ge}{\geqslant}
\renewcommand{\geq}{\geqslant}
\renewcommand{\O}{\varnothing}

% defines
\newcommand{\set}[2][]{ %
  \ifthenelse{\equal{#1}{}} %
    { \left\{\ #2\ \right\} }%
    { \left\{\ #1\ |\ #2\ \right\} }%
}
% \set{1, 2, \ldots, n} = {1, 2, \ldots, n}
% \set[ x \in R ]{ \sin x = 0 } = { x \in \R | \sin x = 0 }

\lhead{Матан II}
\chead{}
\rhead{Современное программирование, 2019}

\pagestyle{fancy}

\begin{document}

\begin{center}
    {\Large\bf 
Матан II, весна 2019\\
by Современное Программирование
}
\end{center}
\vspace*{-1em}\noindent \underline{\hbox to 1\textwidth{{ } \hfil{ } \hfil{ } }}


\tableofcontents
    \newpage
    \input{section02}
\end{document}

